---
title: Document.writeln()
slug: Web/API/Document/writeln
tags:
  - API
  - DOM
  - Method
  - Reference
---
<p>{{ ApiRef("DOM") }}</p>

<p>Writes a string of text followed by a newline character to a document.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="eval">document.writeln(<em>line</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<ul>
 <li><code>line</code> is string containing a line of text.</li>
</ul>

<h2 id="Example">Example</h2>

<pre>document.writeln("&lt;p&gt;enter password:&lt;/p&gt;");
</pre>

<h2 id="Notes">Notes</h2>

<p><strong>document.writeln</strong> is the same as {{domxref("document.write")}} but adds a newline.</p>

<div class="note"><strong>Note:</strong> <strong>document.writeln</strong> (like <strong>document.write</strong>) does not work in XHTML documents (you'll get a "Operation is not supported" (<code>NS_ERROR_DOM_NOT_SUPPORTED_ERR</code>) error on the error console). This is the case if opening a local file with a .xhtml file extension or for any document served with an application/xhtml+xml MIME type. More information is available in the <a class="external" href="http://www.w3.org/MarkUp/2004/xhtml-faq#docwrite">W3C XHTML FAQ</a>.</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("HTML WHATWG", "#dom-document-writeln", "document.writeln()")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName("DOM2 HTML", "html.html#ID-35318390", "document.writeln()")}}</td>
   <td>{{Spec2("DOM2 HTML")}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.writeln")}}</p>
